## linux-backports-modules-3.2.0 3.2.0-23.6

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

#include $(src)/.config

#obj-$(CONFIG_E1000E) += net/e1000e/

#obj-$(CONFIG_IGB) += net/igb/

#obj-$(CONFIG_R8169) += net/r8169.o

=== updates/cw-3.3/drivers/net/wireless/ath/ath9k/Makefile ===
ath9k-y +=	beacon.o \
		gpio.o \
		init.o \
		main.o \
		recv.o \
		xmit.o \
		mci.o \

ath9k-$(CONFIG_COMPAT_ATH9K_RATE_CONTROL) += rc.o
ath9k-$(CONFIG_ATH9K_PCI) += pci.o
ath9k-$(CONFIG_ATH9K_AHB) += ahb.o
ath9k-$(CONFIG_ATH9K_DEBUGFS) += debug.o
ath9k-$(CONFIG_ATH9K_DFS_DEBUGFS) += dfs_debug.o
ath9k-$(CONFIG_ATH9K_DFS_CERTIFIED) += dfs.o

obj-$(CONFIG_ATH9K) += ath9k.o

ath9k_hw-y:=	\
		ar9002_hw.o \
		ar9003_hw.o \
		hw.o \
		ar9003_phy.o \
		ar9002_phy.o \
		ar5008_phy.o \
		ar9002_calib.o \
		ar9003_calib.o \
		ar9003_rtt.o \
		calib.o \
		eeprom.o \
		eeprom_def.o \
		eeprom_4k.o \
		eeprom_9287.o \
		ani.o \
		btcoex.o \
		mac.o \
		ar9002_mac.o \
		ar9003_mac.o \
		ar9003_eeprom.o \
		ar9003_paprd.o \
		ar9003_mci.o

obj-$(CONFIG_ATH9K_HW) += ath9k_hw.o

obj-$(CONFIG_ATH9K_COMMON) += ath9k_common.o
ath9k_common-y:=	common.o

ath9k_htc-y +=	htc_hst.o \
		hif_usb.o \
		wmi.o \
		htc_drv_txrx.o \
		htc_drv_main.o \
		htc_drv_beacon.o \
		htc_drv_init.o \
		htc_drv_gpio.o

ath9k_htc-$(CONFIG_ATH9K_HTC_DEBUGFS) += htc_drv_debug.o

obj-$(CONFIG_ATH9K_HTC) += ath9k_htc.o

=== debian/changelog ===
linux-backports-modules-3.2.0 (3.2.0-23.6) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-23.36

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 10 Apr 2012 10:08:29 -0700

linux-backports-modules-3.2.0 (3.2.0-22.5) precise; urgency=low

  * Bump ABI for Precise 3.2.0-22.35

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 03 Apr 2012 11:25:26 -0700

linux-backports-modules-3.2.0 (3.2.0-21.4) precise; urgency=low

  * Update to compat-wireless-3.3-2-n 
  * Bump ABI for Precise 3.2.0-21.34 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 29 Mar 2012 09:17:55 -0700

linux-backports-modules-3.2.0 (3.2.0-20.3) precise; urgency=low

  * Bump ABI for Precise 3.2.0-20.32

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 21 Mar 2012 20:22:58 -0700

linux-backports-modules-3.2.0 (3.2.0-19.2) precise; urgency=low

  * Update to compat-wireless-3.3-rc6-1-n
  * Bump ABI for Precise 3.2.0-19.30 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 16 Mar 2012 08:54:19 -0700

linux-backports-modules-3.2.0 (3.2.0-18.1) precise; urgency=low

  * Open Precise LBM
  * Add compat-wireless v3.3
  * Consolidated amd64 server flavour into generic
  * Remove lpia control file
  * Update Vcs-Git to ubuntu-preicse-lbm

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 15 Feb 2012 08:42:08 -0800

linux-backports-modules-3.0.0 (3.0.0-15.7) oneiric-proposed; urgency=low

  * Bump ABI - Oneiric ABI 15

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Mon, 12 Dec 2011 12:22:43 -0200

linux-backports-modules-3.0.0 (3.0.0-14.6) oneiric-proposed; urgency=low

  [ Leann Ogasawara ]

  * provide v3.1 r8169 driver
    - LP: #839393
  * Add compat-wireless 3.1.0
    - LP: #888769
  * Replace compat-wireless 3.1.0 with 3.1.1
    - LP: #890715

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Mon, 21 Nov 2011 18:03:30 -0200

linux-backports-modules-3.0.0 (3.0.0-13.5) oneiric-proposed; urgency=low

  * Bump ABI - Oneiric ABI 13

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Mon, 17 Oct 2011 17:03:21 -0200

linux-backports-modules-3.0.0 (3.0.0-12.4) oneiric; urgency=low

  * Bump ABI - Oneiric ABI 12

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 23 Sep 2011 13:42:36 -0700

linux-backports-modules-3.0.0 (3.0.0-11.3) oneiric; urgency=low

  * Bump ABI - Oneiric ABI 11

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 16 Sep 2011 08:22:18 -0700

linux-backports-modules-3.0.0 (3.0.0-9.2) oneiric; urgency=low

  * Bump ABI - Oneiric ABI 9

 -- Andy Whitcroft <apw@canonical.com>  Fri, 26 Aug 2011 14:25:48 +0100

linux-backports-modules-3.0.0 (3.0.0-8.1) oneiric; urgency=low

  [ Andy Whitcroft ]

  * Open Oneiric LBM

  [ Tim Gardner ]
  
  * UBUNTU: Remove obsolete iwlwifi firmware
  * UBUNTU: Removed obsolete alsa infrastructure
  * UBUNTU: Removed obsolete media infrastructure
  * UBUNTU: Removed obsolete input infrastructure
  * UBUNTU: removal of net drivers

 -- Andy Whitcroft <apw@canonical.com>  Fri, 12 Aug 2011 12:56:05 +0100

linux-backports-modules-2.6.38 (2.6.38-11.7) natty; urgency=low

  [ Steve Conklin ]

  * Bump ABI - Natty ABI 11

 -- Steve Conklin <sconklin@canonical.com>  Fri, 15 Jul 2011 14:53:50 -0500

linux-backports-modules-2.6.38 (2.6.38-10.6) natty; urgency=low

  [ Tim Gardner ]

  * Shorten compat-wireless package name to cw to accomodate
    CDROM file name length restrictions.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 08 Jun 2011 10:44:09 -0600

linux-backports-modules-2.6.38 (2.6.38-10.5) natty; urgency=low

  [ Tim Gardner ]

  * Added compat-wireless-2.6.39
    - LP: #794633

  * 2.6.38-10.4 didn't get pushed to the repo, but since it was just an ABI
    bump, it can safely be skipped.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 08 Jun 2011 09:27:06 -0600

linux-backports-modules-2.6.38 (2.6.38-9.3) natty; urgency=low

  [ Brad Figg ]

  * Bump ABI - Natty ABI 9

 -- Brad Figg <brad.figg@canonical.com>  Thu, 28 Apr 2011 10:55:50 -0700

linux-backports-modules-2.6.38 (2.6.38-8.2) natty; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI - Natty ABI 8

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 31 Mar 2011 09:41:15 -0700

linux-backports-modules-2.6.38 (2.6.38-7.1) natty; urgency=low

  [ Leann Ogasawara ]

  * Updated igb driver
    - LP: #601047

  [ Andy Whitcroft ]

  * Open Natty.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 18 Mar 2011 19:04:26 +0000

linux-backports-modules-2.6.35 (2.6.35-27.18) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Bump ABI - Maverick 27

 -- Brad Figg <brad.figg@canonical.com>  Thu, 10 Feb 2011 14:34:26 -0800

linux-backports-modules-2.6.35 (2.6.35-26.17) maverick-proposed; urgency=low

  [ Steve Conklin ]

  * Bump ABI - Maverick 26

 -- Steve Conklin <sconklin@canonical.com>  Tue, 01 Feb 2011 14:40:31 -0600

linux-backports-modules-2.6.35 (2.6.35-25.16) maverick-proposed; urgency=low

  [ Tim Gardner ]

  * Updated to compat-wireless-2.6.37-4
  * enable compat-wireless-2.6.37 build
  * Update compat-wireless-2.6.36 to compat-wireless-2.6.36.3
  * Updated BOM
    - LP: #704503

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 18 Jan 2011 09:41:03 -0700

linux-backports-modules-2.6.35 (2.6.35-24.15) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Bump ABI - Maverick 24

 -- Brad Figg <brad.figg@canonical.com>  Tue, 30 Nov 2010 20:11:03 -0800

linux-backports-modules-2.6.35 (2.6.35-23.14) maverick-proposed; urgency=low

  [ Leann Ogasawara ]

  * upstream IR updates
    - LP: #670483

 -- Brad Figg <brad.figg@canonical.com>  Tue, 23 Nov 2010 13:09:32 -0800

linux-backports-modules-2.6.35 (2.6.35-23.13) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Changed the Vcs line in the control.stub.in to point at the
    correct git repo.

  [ Leann Ogasawara ]

  * Allow multiple versions of compat-wireless
    - LP: #673191
  * Add compat-wireless-2.6.37
    - LP: #673245



=== debian/control ===
Source: linux-backports-modules-3.2.0
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-3.2.0-23-generic [i386 amd64], linux-headers-3.2.0-23-generic-pae [i386]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-precise-lbm.git

Package: linux-headers-lbm-3.2.0-23
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 3.2.0
 This package provides linux-ubuntu-modules header files for version 3.2.0, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-23/debian.README.gz for details

Package: linux-headers-lbm-3.2.0-23-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.2.0-23-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.2.0
 This package provides linux-backports-modules header files for version 3.2.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-23/debian.README.gz for details

Package: linux-backports-modules-cw-3.3-3.2.0-23-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-23-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.


Package: linux-headers-lbm-3.2.0-23-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.2.0-23-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.2.0
 This package provides linux-backports-modules header files for version 3.2.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-23/debian.README.gz for details

Package: linux-backports-modules-cw-3.3-3.2.0-23-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-23-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

## linux-backports-modules-3.2.0 3.2.0-37.24

=== updates/cw-3.3/Makefile ===
export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe

ifneq ($(wildcard $(MODPROBE)),)
MADWIFI=$(shell $(MODPROBE) -l ath_pci)
OLD_IWL=$(shell $(MODPROBE) -l iwl4965)
endif

DESTDIR?=

ifneq ($(KERNELRELEASE),)

NOSTDINC_FLAGS := -I$(M)/include/ \
	-include $(M)/include/linux/compat-2.6.h \
	$(CFLAGS)

obj-y := compat/

obj-$(CONFIG_COMPAT_RFKILL) += net/rfkill/

ifeq ($(BT),)
obj-$(CONFIG_COMPAT_WIRELESS) += net/wireless/ net/mac80211/
obj-$(CONFIG_COMPAT_WIRELESS_MODULES) += drivers/net/wireless/

obj-$(CONFIG_COMPAT_NET_USB_MODULES) += drivers/net/usb/

obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/atheros/
obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/broadcom/

obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/ssb/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/bcma/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/misc/eeprom/

ifeq ($(CONFIG_STAGING_EXCLUDE_BUILD),)
endif

endif

obj-$(CONFIG_COMPAT_BLUETOOTH) += net/bluetooth/
obj-$(CONFIG_COMPAT_BLUETOOTH_MODULES) += drivers/bluetooth/

else

export PWD :=	$(shell pwd)

# The build will fail if there is any space in PWD.
ifneq (,$(findstring  $() ,$(PWD)))
$(error "The path to this compat-wireless directory has spaces in it." \
	"Please put it somewhere where there is no space")
endif

CFLAGS += \
        -DCOMPAT_BASE_TREE="\"$(shell cat compat_base_tree)\"" \
        -DCOMPAT_BASE_TREE_VERSION="\"$(shell cat compat_base_tree_version)\"" \
        -DCOMPAT_PROJECT="\"Compat-wireless\"" \
        -DCOMPAT_VERSION="\"$(shell cat compat_version)\""

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/compat_version)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@+./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

bt: $(CREL_CHECK)
	@+./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) BT=TRUE modules
	@touch $@

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@+./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

btinstall: btuninstall bt-install-modules

bt-install-modules: bt $(MODPROBE)
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) BT=TRUE \
		modules_install
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo
	@echo Now run:
	@echo
	@echo sudo make btunload:
	@echo
	@echo And then load the needed bluetooth modules. If unsure reboot.
	@echo

btuninstall: $(MODPROBE)
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/bluetooth/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/bluetooth/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@/sbin/depmod -ae
	@echo
	@echo "Your old bluetooth subsystem modules were left intact:"
	@echo
	@$(MODPROBE) -l ath3k       
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo

btclean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) BT=TRUE clean
	@rm -f $(CREL_PRE)*

install: uninstall install-modules install-scripts

install-modules: modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@./scripts/update-initramfs

install-scripts: $(MODPROBE)
	@# All the scripts we can use
	@mkdir -p $(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/modlib.sh	$(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	$(DESTDIR)/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	$(DESTDIR)/usr/sbin/
	@install scripts/b43enable	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-enable	$(DESTDIR)/usr/sbin/
	@install scripts/athload	$(DESTDIR)/usr/sbin/
	@install scripts/b43load	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-load	$(DESTDIR)/usr/sbin/
	@if [ ! -z "$(MADWIFI)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@if [ ! -z "$(OLD_IWL)" ] && [ -z "$(DESTDIR)" ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		/usr/sbin/iwl-enable iwlagn ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@# Mandrake doesn't have a depmod.d/ conf file to prefer
	@# the updates/ dir which is what we use so we add one for it
	@# (or any other distribution that doens't have this).
	@./scripts/check_depmod
	@# Udev stuff needed for the new compat_firmware_class.
	@./compat/scripts/compat_firmware_install
	@/sbin/depmod -a
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l rtlwifi
	@$(MODPROBE) -l rtl8192ce
	@$(MODPROBE) -l spectrum_cs
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l usb8xxx
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l wl1251
	@$(MODPROBE) -l wl12xx
	@$(MODPROBE) -l zd1211rw
	@echo
	@echo "Currently detected ethernet subsystem modules:"
	@echo
	@$(MODPROBE) -l atl1
	@$(MODPROBE) -l atl2
	@$(MODPROBE) -l atl1e
	@$(MODPROBE) -l atl1c
	@echo
	@echo "Currently detected bluetooth subsystem modules:"
	@echo
	@$(MODPROBE) -l ath3k           
	@$(MODPROBE) -l bcm203x
	@$(MODPROBE) -l bluecard_cs
	@$(MODPROBE) -l bluetooth
	@$(MODPROBE) -l bnep
	@$(MODPROBE) -l bpa10x
	@$(MODPROBE) -l bt3c_cs
	@$(MODPROBE) -l btmrvl
	@$(MODPROBE) -l btmrvl_sdio
	@$(MODPROBE) -l btsdio
	@$(MODPROBE) -l btusb
	@$(MODPROBE) -l btuart_cs
	@$(MODPROBE) -l	cmtp
	@$(MODPROBE) -l	dtl1_cs
	@$(MODPROBE) -l hidp
	@$(MODPROBE) -l	hci_vhci
	@$(MODPROBE) -l	hci_uart
	@$(MODPROBE) -l l2cap
	@$(MODPROBE) -l rfcomm
	@$(MODPROBE) -l sco
	@echo 
	@echo Now run:
	@echo 
	@echo sudo make unload to unload all: wireless, bluetooth and ethernet modules
	@echo sudo make wlunload to unload wireless modules
	@echo sudo make btunload to unload bluetooth modules
	@echo
	@echo Run sudo modprobe 'driver-name' to load your desired driver. 
	@echo If unsure reboot.
	@echo

uninstall: $(MODPROBE)
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/compat/
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/rfkill/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/staging/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/atl*
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -a
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ar9170usb
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath6kl
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l ath9k_htc
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l carl9170
	@$(MODPROBE) -l brcm80211
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l eeprom_93cx6
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwmc3200wifi
	@$(MODPROBE) -l lib80211_crypt_ccmp
	@$(MODPROBE) -l lib80211_crypt_tkip
	@$(MODPROBE) -l lib80211_crypt_wep
	@$(MODPROBE) -l libertas
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_sdio
	@$(MODPROBE) -l libertas_spi
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l mac80211_hwsim
	@$(MODPROBE) -l mwl8k
	@$(MODPROBE) -l orinoco_cs
	@$(MODPROBE) -l orinoco_nortel
	@$(MODPROBE) -l orinoco_pci
	@$(MODPROBE) -l orinoco_plx
	@$(MODPROBE) -l orinoco_tld
	@$(MODPROBE) -l orinoco_usb
	@$(MODPROBE) -l orinoco
	@$(MODPROBE) -l p54common
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54spi
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt2800pci
	@$(MODPROBE) -l rt2800usb
	@$(MODPROBE) -l rt2x00lib
	@$(MODPROBE) -l rt2x00pci
	@$(MODPROBE) -l rt2x00usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb

=== updates/net/Makefile ===
obj-y += ixgbe/src/

=== updates/cw-3.3/drivers/net/wireless/wl12xx/Makefile ===
wl12xx-objs		= main.o cmd.o io.o event.o tx.o rx.o ps.o acx.o \
			  boot.o init.o debugfs.o scan.o

wl12xx_spi-objs 	= spi.o
wl12xx_sdio-objs	= sdio.o

wl12xx-$(CONFIG_NL80211_TESTMODE)	+= testmode.o
obj-$(CONFIG_WL12XX)			+= wl12xx.o
obj-$(CONFIG_WL12XX_SPI)		+= wl12xx_spi.o
obj-$(CONFIG_COMPAT_WL12XX_SDIO)		+= wl12xx_sdio.o

# small builtin driver bit
obj-$(CONFIG_WL12XX_PLATFORM_DATA)	+= wl12xx_platform_data.o

=== updates/cw-3.4/drivers/net/wireless/wl1251/Makefile ===
wl1251-objs		= main.o event.o tx.o rx.o ps.o cmd.o \
			  acx.o boot.o init.o debugfs.o io.o
wl1251_spi-objs		+= spi.o
wl1251_sdio-objs	+= sdio.o

obj-$(CONFIG_WL1251)		+= wl1251.o
obj-$(CONFIG_WL1251_SPI)	+= wl1251_spi.o
obj-$(CONFIG_COMPAT_WL1251_SDIO)	+= wl1251_sdio.o

ccflags-y += -D__CHECK_ENDIAN__

=== updates/cw-3.4/drivers/net/wireless/ath/ath9k/Makefile ===
ath9k-y +=	beacon.o \
		gpio.o \
		init.o \
		main.o \
		recv.o \
		xmit.o

ath9k-$(CONFIG_ATH9K_BTCOEX_SUPPORT) += mci.o
ath9k-$(CONFIG_COMPAT_ATH9K_RATE_CONTROL) += rc.o
ath9k-$(CONFIG_ATH9K_PCI) += pci.o
ath9k-$(CONFIG_ATH9K_AHB) += ahb.o
ath9k-$(CONFIG_ATH9K_DEBUGFS) += debug.o
ath9k-$(CONFIG_ATH9K_DFS_DEBUGFS) += dfs_debug.o
ath9k-$(CONFIG_ATH9K_DFS_CERTIFIED) += dfs.o

obj-$(CONFIG_ATH9K) += ath9k.o

ath9k_hw-y:=	\
		ar9002_hw.o \
		ar9003_hw.o \
		hw.o \
		ar9003_phy.o \
		ar9002_phy.o \
		ar5008_phy.o \
		ar9002_calib.o \
		ar9003_calib.o \
		ar9003_rtt.o \
		calib.o \
		eeprom.o \
		eeprom_def.o \
		eeprom_4k.o \
		eeprom_9287.o \
		ani.o \
		mac.o \
		ar9002_mac.o \
		ar9003_mac.o \
		ar9003_eeprom.o \
		ar9003_paprd.o

ath9k_hw-$(CONFIG_ATH9K_BTCOEX_SUPPORT) += btcoex.o \
					   ar9003_mci.o
obj-$(CONFIG_ATH9K_HW) += ath9k_hw.o

obj-$(CONFIG_ATH9K_COMMON) += ath9k_common.o
ath9k_common-y:=	common.o

ath9k_htc-y +=	htc_hst.o \
		hif_usb.o \
		wmi.o \
		htc_drv_txrx.o \
		htc_drv_main.o \
		htc_drv_beacon.o \
		htc_drv_init.o \
		htc_drv_gpio.o

ath9k_htc-$(CONFIG_ATH9K_HTC_DEBUGFS) += htc_drv_debug.o

obj-$(CONFIG_ATH9K_HTC) += ath9k_htc.o

=== debian/changelog ===
linux-backports-modules-3.2.0 (3.2.0-37.24) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-37.58

 -- Luis Henriques <luis.henriques@canonical.com>  Thu, 24 Jan 2013 14:14:06 +0000

linux-backports-modules-3.2.0 (3.2.0-36.23) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-36.56

 -- Brad Figg <brad.figg@canonical.com>  Wed, 02 Jan 2013 15:05:36 -0800

linux-backports-modules-3.2.0 (3.2.0-35.22) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * The hv_kvp_daemon is flavour specific when built from within LBM so
    include the flavour to avoid collisions in /usr/sbin.
    - LP: #1089970
  * Fix up the hv updater to handle cleanups in the master source (non-source
    change).
  * Update daemon to latest to obtain the following fixes:
   - hv_kvp_daemon -- prevent self-daemonising to allow upstart to track
   - LP: #1078106

 -- Andy Whitcroft <apw@canonical.com>  Mon, 17 Dec 2012 10:00:43 +0000

linux-backports-modules-3.2.0 (3.2.0-35.21) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * Add a new HV backport module for use on the Hyper-V platform.
    - LP: #1089970

 -- Luis Henriques <luis.henriques@canonical.com>  Thu, 13 Dec 2012 22:03:29 +0000

linux-backports-modules-3.2.0 (3.2.0-35.20) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-35.54

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 04 Dec 2012 16:19:39 +0000

linux-backports-modules-3.2.0 (3.2.0-34.19) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-34.53

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 14 Nov 2012 16:14:24 +0000

linux-backports-modules-3.2.0 (3.2.0-33.18) precise-proposed; urgency=low

  [ Luis Henriques ]

  * Bump ABI for Precise 3.2.0-33.52

  [ Leann Ogasawara ]

  * Add compat-wireless v3.5
    - LP: #1066122
  * Add compat-wireless v3.6
    - LP: #1066123

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 17 Oct 2012 10:56:31 +0100

linux-backports-modules-3.2.0 (3.2.0-32.17) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-32.51

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 25 Sep 2012 10:38:33 +0100

linux-backports-modules-3.2.0 (3.2.0-31.16) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-31.49

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 05 Sep 2012 10:48:13 +0100

linux-backports-modules-3.2.0 (3.2.0-30.15) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-30.47

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 14 Aug 2012 11:38:09 +0100

linux-backports-modules-3.2.0 (3.2.0-29.14) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-29.45

 -- Luis Henriques <luis.henriques@canonical.com>  Thu, 26 Jul 2012 17:10:27 +0100

linux-backports-modules-3.2.0 (3.2.0-28.13) precise-proposed; urgency=low

  ## Note 3.2.0-28.13 was never uploaded and superceded by 3.2.0-29.13 ##

  [ Luis Henriques ]

  * Bump ABI for Precise 3.2.0-28.44

  [ Leann Ogasawara ]

  * Add compat-wireless v3.4
    - LP: #1023566

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 23 Jul 2012 15:46:25 +0100

linux-backports-modules-3.2.0 (3.2.0-27.12) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-27.42

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 02 Jul 2012 11:19:31 +0100

linux-backports-modules-3.2.0 (3.2.0-26.11) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-26.41

 -- Luis Henriques <luis.henriques@canonical.com>  Tue, 12 Jun 2012 12:15:02 +0100

linux-backports-modules-3.2.0 (3.2.0-25.10) precise-proposed; urgency=low

  * 3.2.0-25.9 upload skipped to avoid version clash in kernel-team PPA

 -- Luis Henriques <luis.henriques@canonical.com>  Thu, 24 May 2012 15:02:13 +0100

linux-backports-modules-3.2.0 (3.2.0-25.9) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-25.40

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 23 May 2012 18:35:35 +0100

linux-backports-modules-3.2.0 (3.2.0-24.8) precise-proposed; urgency=low

  * Pass version information to net build 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 25 Apr 2012 13:09:40 -0700

linux-backports-modules-3.2.0 (3.2.0-24.7) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-24.37
  * Added Intel OEM ixgbe 3.8.21 driver
    - LP: #978324

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 24 Apr 2012 09:15:36 -0700

=== debian/control ===
Source: linux-backports-modules-3.2.0
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-source-3.2.0, linux-headers-3.2.0-37-generic [i386 amd64], linux-headers-3.2.0-37-generic-pae [i386], linux-headers-3.2.0-37-virtual [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-precise-lbm.git

Package: linux-headers-lbm-3.2.0-37
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 3.2.0
 This package provides linux-ubuntu-modules header files for version 3.2.0, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-37/debian.README.gz for details

Package: linux-headers-lbm-3.2.0-37-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.2.0-37-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.2.0
 This package provides linux-backports-modules header files for version 3.2.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-37/debian.README.gz for details

Package: linux-backports-modules-cw-3.3-3.2.0-37-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.4-3.2.0-37-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.4-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.5-3.2.0-37-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.5-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.6-3.2.0-37-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.6-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-3.2.0-37-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 3.2.0 on x86/x86_64
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-hv-3.2.0-37-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux Hyper-V updates for version 3.2.0 on x86/x86_64
 This package contains Hyper-V updated modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-hv-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-3.2.0-37-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.2.0-37-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.2.0
 This package provides linux-backports-modules header files for version 3.2.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-37/debian.README.gz for details

Package: linux-backports-modules-cw-3.3-3.2.0-37-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.4-3.2.0-37-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.4-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.5-3.2.0-37-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.5-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.6-3.2.0-37-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.6-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-3.2.0-37-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 3.2.0 on x86
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-hv-3.2.0-37-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux Hyper-V updates for version 3.2.0 on x86
 This package contains Hyper-V updated modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-hv-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-3.2.0-37-virtual
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.2.0-37-virtual
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.2.0
 This package provides linux-backports-modules header files for version 3.2.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-37/debian.README.gz for details

Package: linux-backports-modules-cw-3.3-3.2.0-37-virtual
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-virtual
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-virtual meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.4-3.2.0-37-virtual
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-virtual
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.4-virtual meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.5-3.2.0-37-virtual
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-virtual
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.5-virtual meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.6-3.2.0-37-virtual
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-37-virtual
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
